
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>数据结构教程 第九课 循环链表与双向链表 / iVAN</title>

    <meta name="description" content="数据结构教程 第九课 循环链表与双向链表 本课主题: 循环链表与双向链表 教学目的: 掌握循环链表的概念,掌握双向链表的的表示与实现 教学重点: 双向链表的表示与实现 教学难点: 双向链表的存储表示 授课内容: 一.复习线性链表的存储结构 二.循环链表的存储结构 循环链表是加一种形式的链式存储结构.它的特点是表中最后一个结点的指针域指向头结点. 循环链表的操作和线性链表基本一致,差别仅在于算法中的循环条件不是p或p-&gt;next是否为空,而是它们是否等于头指针. 三.双向链表的存储结构 提问:单向链表的缺点是什么? 提示:如何寻找结 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">数据结构教程 第九课 循环链表与双向链表</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><em>本课主题：</em> 循环链表与双向链表</p>
<p><em>教学目的：</em> 掌握循环链表的概念，掌握双向链表的的表示与实现</p>
<p><em>教学重点：</em> 双向链表的表示与实现</p>
<p><em>教学难点：</em> 双向链表的存储表示</p>
<p><em>授课内容：</em></p>
<p>一、复习线性链表的存储结构</p>
<blockquote><p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjIyLmdpZg==.jpg"></p></blockquote>
<p>二、循环链表的存储结构</p>
<blockquote><p>循环链表是加一种形式的链式存储结构。它的特点是表中最后一个结点的指针域指向头结点。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjIzLmdpZg==.jpg"></p>
<p>循环链表的操作和线性链表基本一致，差别仅在于算法中的循环条件不是p或p-&gt;next是否为空，而是它们是否等于头指针。</p></blockquote>
<p>三、双向链表的存储结构</p>
<blockquote><p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjI0LmdpZg==.jpg"></p>
<p>提问：单向链表的缺点是什么？</p>
<p>提示：如何寻找结点的直接前趋。</p>
<p>双向链表可以克服单链表的单向性的缺点。</p>
<p>在双向链表的结点中有两个指针域，其一指向直接后继，另一指向直接前趋。</p>
<p>1、线性表的双向链表存储结构</p>
<p>typedef struct DulNode{</p>
<blockquote><p>struct DulNode *prior;</p>
<p>ElemType data;</p>
<p>struct DulNode *next;</p></blockquote>
<p>}DulNode,*DuLinkList;</p>
<p>对指向双向链表任一结点的指针d，有下面的关系：</p>
<p>d-&gt;next-&gt;priou=d-&gt;priou-&gt;next=d</p>
<p>即：当前结点后继的前趋是自身，当前结点前趋的后继也是自身。</p>
<p>2、双向链表的删除操作</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjI1LmdpZg==.jpg"></p>
<table>
<tbody>
<tr>
<td>
            <br />Status ListDelete_DuL(DuLinkList &amp;L,int i,ElemType &amp;e){</p>
<p>if(!(p=GetElemP_DuL(L,i)))</p>
<blockquote><p>return ERROR;</p></blockquote>
<p>e=p-&gt;data;</p>
<p>p-&gt;prior-&gt;next=p-&gt;next;</p>
<p>p-&gt;next-&gt;prior=p-&gt;pror;</p>
<p>free(p);</p>
<p>return OK;</p>
<p>}//ListDelete_DuL</p>
</td>
</tr>
</tbody>
</table>
<p>3、双向链表的插入操作</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjI2LmdpZg==.jpg"></p>
<table>
<tbody>
<tr>
<td>
            <br />Status ListInsert_DuL(DuLinkList &amp;L,int i,ElemType &amp;e){</p>
<p>if(!(p=GetElemP_DuL(L,i)))</p>
<blockquote><p>return ERROR;</p></blockquote>
<p>if(!(s=(DuLinkList)malloc(sizeof(DuLNode)))) return ERROR;</p>
<p>s-&gt;data=e;</p>
<p>s-&gt;prior=p-&gt;prior;</p>
<p>p-&gt;prior-&gt;next=s;</p>
<p>s-&gt;next=p;</p>
<p>p-&gt;prior=s;</p>
<p>return OK;</p>
<p>}//ListInsert_DuL</p>
</td>
</tr>
</tbody>
</table>
</blockquote>
<p>四、一个完整的带头结点的线性边表类型定义：</p>
<blockquote><table>
<tbody>
<tr>
<td>
            <br />typedef struct LNode{</p>
<blockquote><p>ElemType data;</p>
<p>struct LNode *next;</p></blockquote>
<p>}*Link,*Position;</p>
<p>typedef struct{</p>
<blockquote><p>Link head,tail;</p>
<p>int len;</p></blockquote>
<p>}LinkList;</p>
<p>Status MakeNode(Link &amp;p,ElemType e);</p>
<p>//分配由p指向的值为e的结点，并返回OK；若分配失败，则返回ERROR</p>
<p>void FreeNode(Link &amp;p);</p>
<p>//释放p所指结点</p>
<p>Status InitLinst(LinkList &amp;L);</p>
<p>//构造一个空的线性链表L</p>
<p>Status DestroyLinst(LinkList &amp;L);</p>
<p>//销毁线性链表L，L不再存在</p>
<p>Status ClearList(LinkList &amp;L);</p>
<p>//将线性链表L重置为空表，并释放原链表的结点空间</p>
<p>Status InsFirst(Link h,Link s);</p>
<p>//已知h指向线性链表的头结点，将s所指结点插入在第一个结点之前</p>
<p>Status DelFirst(Link h,Link &amp;q);</p>
<p>//已知h指向线性链表的头结点，删除链表中的第一个结点并以q返回</p>
<p>Status Append(LinkList &amp;L,Link s);</p>
<p>//将指针s所指(彼此以指针相链)的一串结点链接在线性链表L的最后一个结点</p>
<p>//之后，并改变链表L的尾指针指向新的尾结点</p>
<p>Status Remove(LinkList &amp;L,Link &amp;q);</p>
<p>//删除线性链表L中的尾结点并以q返回，改变链表L的尾指针指向新的尾结点</p>
<p>Status InsBefore(LinkList &amp;L,Link &amp;p,Link s);</p>
<p>//已知p指向线性链表L中的一个结点，将s所指结点插入在p所指结点之前，</p>
<p>//并修改指针p指向新插入的结点</p>
<p>Status InsAfter(LinkList &amp;L,Link &amp;p,Link s);</p>
<p>//已知p指向线性链表L中的一个结点，将s所指结点插入在p所指结点之后，</p>
<p>//并修改指针p指向新插入的结点</p>
<p>Status SetCurElem(Link &amp;p,ElemType e);</p>
<p>//已知p指向线性链表中的一个结点，用e更新p所指结点中数据元素的值</p>
<p>ElemType GetCurElem(Link p);</p>
<p>//已知p指向线性链表中的一个结点，返回p所指结点中数据元素的值</p>
<p>Status ListEmpty(LinkList L);</p>
<p>//若线性链表L为空表，则返回TRUE,否则返回FALSE</p>
<p>int ListLength(LinkList L);</p>
<p>//返回线性链表L中的元素个数</p>
<p>Position GetHead(LinkList L);</p>
<p>//返回线性链表L中头结点的位置</p>
<p>Position GetLast(LinkList L);</p>
<p>//返回线性链表L中最后一个结点的位置</p>
<p>Position PriorPos(LinkList L,Link p);</p>
<p>//已知p指向线性链表L中的一个结点，返回p所指结点的直接前趋的值</p>
<p>//若无前趋，返回NULL</p>
<p>Position NextPos(LinkList L,Link p);</p>
<p>//已知p指向线性链表L中的一个结点，返回p所指结点的直接后继的值</p>
<p>//若无后继，返回NULL</p>
<p>Status LocatePos(LinkList L,int i,Link &amp;p);</p>
<p>//返回p指示线性链表L中第i个结点的位置并返回OK,i值不合法时返回ERROR</p>
<p>Position LocateElem(LinkList L,ElemType e,<br />Status(*compare)(ElemType,ElemType));</p>
<p>//返回线性链表L中第1个与e满足函数compare()判定关系的元素的位置，</p>
<p>//若下存在这样的元素，则返回NULL</p>
<p>Status ListTraverse(LinkList L,Status(*visit)());</p>
<p>//依次对L的每个元素调用函数visit()。一旦visit()失败，则操作失败。</p>
</td>
</tr>
</tbody>
</table>
</blockquote>
<p>五、总结本课内容</p>
<blockquote><p>循环链表的存储结构</p>
<p>双向链表的存储结构</p></blockquote>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:05:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%ba%bf%e6%80%a7/" title="线性">线性</a>, <a href="https://www.iamivan.net/tag/status/" title="status">status</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e5%90%91/" title="指向">指向</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8c%e5%90%91/" title="双向">双向</a>, <a href="https://www.iamivan.net/tag/%e7%bb%93%e7%82%b9/" title="结点">结点</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84-%e7%ba%bf%e6%80%a7%e8%a1%a8-%e7%ae%97%e6%b3%95/" title="数据结构 线性表 算法">数据结构 线性表 算法</a>, <a href="https://www.iamivan.net/tag/%e9%93%be%e8%a1%a8%e6%9f%a5%e8%af%a2/" title="链表查询">链表查询</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e6%80%a7%e6%95%b0%e6%8d%ae/" title="线性数据">线性数据</a>, <a href="https://www.iamivan.net/tag/linklist/" title="LinkList">LinkList</a>, <a href="https://www.iamivan.net/tag/%e5%8d%81%e5%ad%97%e9%93%be%e8%a1%a8/" title="十字链表">十字链表</a>, <a href="https://www.iamivan.net/tag/%e9%93%be%e8%a1%a8%e6%8f%92%e5%85%a5/" title="链表插入">链表插入</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af%e9%93%be%e8%a1%a8/" title="循环链表">循环链表</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e6%80%a7%e8%a1%a8/" title="线性表">线性表</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8c%e5%90%91%e9%93%be%e8%a1%a8/" title="双向链表">双向链表</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>数据结构教程 第九课 循环链表与双向链表的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrLQyz.html" rel="bookmark">数据结构教程 第一课 数据结构的基本概念和术语</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本课主题:数据结构的基本概念和术语 教学目的:了解数据结构的基本概念,理解常用术语 教学重点:基本概念:数据与数据元素 教学难点:数据元素间的四种结构关系. 授课内容: 一.数据.数据元素.数据对象.数据结构的定义 1.数据的定义 定义一:数据是客观事物的符号表示. 学号 姓名 语文 数学 C语言 6201001 张三 85 54 92 6201002 李四 92 84 64 6201003 王五 87 74 73 6201004         ...         例:张三的C语言考试成绩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGkOoz.html" rel="bookmark">数据结构教程 第二课 抽象数据类型的表示与实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本课主题: 抽象数据类型的表示与实现 教学目的: 了解抽象数据类型的定义.表示和实现方法 教学重点: 抽象数据类型表示法.类C语言语法 教学难点: 抽象数据类型表示法 授课内容: 一.抽象数据类型定义(ADT) 作用:抽象数据类型可以使我们更容易描述现实世界.例:用线性表描述学生成绩表,用树或图描述遗传关系. 定义:一个数学模型以及定义在该模型上的一组操作. 关键:使用它的人可以只关心它的逻辑特征,不需要了解它的存储方式.定义它的人同样不必要关心它如何存储. 例:线性表这样的抽象数据类型,其数学			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5nORz.html" rel="bookmark">VBScript教程 第九课VBScript过程&lowbar;vbs</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				VB教程 &gt; VBScript过程 过程分类在 VBScript 中,过程被分为两类:Sub 过程和 Function 过程. Sub 过程Sub 过程是包含在 Sub 和 End Sub 语句之间的一组 VBScript 语句,执行操作但不返回值.Sub 过程可以使用参数(由调用过程传递的常数.变量或表达式).如果 Sub 过程无任何参数,则 Sub 语句必须包含空括号 (). 下面的 Sub 过程使用两个固有的(或内置的)VBScript 函数,即 MsgBox 和 InputBox,来提示			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NN9Pb.html" rel="bookmark">javascript asp教程第九课--cookies&lowbar;ASP基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Response Cookies in General: We'll start with the Response Cookies collection. I don't think it could be any easier. You simply put the name of the cookie in the argument. The corresponding value is a string. The only time it gets complicated is when			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPGqJp.html" rel="bookmark">javascript asp教程第九课--cookies</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Response Cookies in General: We'll start with the Response Cookies collection. I don't think it could be any easier. You simply put the name of the cookie in the argument. The corresponding value is a string. The only time it gets complicated is when			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl7lVb.html" rel="bookmark">数据结构教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据结构教程-序言 数据结构教程 第一课 数据结构的基本概念和术语 数据结构教程 第二课 抽象数据类型的表示与实现 数据结构教程 第三课 算法及算法设计要求 数据结构教程 第四课 算法效率的度量和存储空间需求 数据结构教程 第五课 线性表的类型定义 数据结构教程 第六课 线性表的顺序表示和实现 数据结构教程 第七课 实验一 线性表的顺序存储实验 数据结构教程 第八课 线性表的链式表示与实现 数据结构教程 第九课 循环链表与双向链表 数据结构教程 第十课 栈的表示与实现 数据结构教程 第十一课 栈			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8j2e4b.html" rel="bookmark">数据结构教程 第四十课 总复习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教学目的: 数据结构综述 教学重点: 数据结构课程的核心 教学难点: 理解概念 授课内容: 一.学习数据结构的意义 设想一下,你决定向一个公司投资,而你对某个公司的了解只限于该公司的一条生产线每分钟可生产2000件产品,你会作出投资的决定吗?如果你是一个公司的管理者,这个公司日常的每笔交易的详细情况对你来讲的确重要,但如果你把时间花在这些数据上面,你就无法站在宏观的高度上把握公司的经营方向. 不管是经营一个公司,还是管理一个国家,对描述事物特征的数据必须加以分析与加工,现实事物是普遍联系的,描述			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AWQqp.html" rel="bookmark">数据结构教程 第十七课 实验三：栈的表示与实现及栈的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教学目的: 掌握栈的存储表示方式和栈基本操作的实现方法 教学重点: 栈的基本操作实现方法,栈的应用 教学难点: 栈的存储表示 实验内容: 一.栈的实现 实现栈的顺序存储. 栈实现示例 #include&lt;stdio.h&gt; #include&lt;malloc.h&gt; #include&lt;conio.h&gt; #define ERROR 0 #define TRUE 1 #define FALSE 0 #define OK 1 #define EQUAL 1 #define OVERFL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRX7rxz.html" rel="bookmark">Asp&period;Net Web API 2第九课&mdash;&mdash;自承载Web API</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Asp.Net Web API 2第九课--自承载Web API 前言 阅读本文之前,您也可以到Asp.Net Web API 2 系列导航进行查看 http://www.cnblogs.com/aehyok/p/3446289.html Asp.Net Web API可以需要IIS.你可以在你自己的主机上来承载一个Web API. 本教程来展示在控制台应用程序中来承载一个Web API.使用的开发工具为VS2013. 本文示例代码下载链接http://pan.baidu.com/s/1d			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLPLkp.html" rel="bookmark" class="title">PHP5中新增stdClass 内部保留类</a>
					<div>
						stdClass类是PHP的一个内部保留类,初始时没有成员变量也没成员方法,所有的魔术方法都被设置为NULL,可以使用其传递变量参数,但是没有可以调用的方法.stdClass类可以被继承,只是这样做没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl6Qoz.html" rel="bookmark" class="title">基于控制器存储虚拟化有五大误解</a>
					<div>
						虚拟化太复杂 早期基于交换机和网络的存储虚拟化要求重新将异构LUN(逻辑单元号)映射到一个通用虚拟LUN格式,以能够在主机系统上进行显示.这一LUN重映射工作引入了另一个操作层,增加了管理复杂性,从而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd723xM.html" rel="bookmark" class="title">Dreamweaver制作网页打开特效教程</a>
					<div>
						  下图就是一个特效,这是从一个页面切换到另一个页面的效果. 1.按快捷键ctrl+n新建一个页面,选择基本页 html,创建. 2.接着我们插入一个图片使得我们的效果更好看出来.点击插入--图像.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2AEob.html" rel="bookmark" class="title">光影魔术手曝光和补光有什么区别</a>
					<div>
						  光影魔术手曝光是指快门快速开关,随快门时间不同达到不同的进光量,然后胶片产生对光的反应.补光是用闪光灯啦什么的补光,电脑处理的补光是通过软件使图像里的白色增多.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62oDWM.html" rel="bookmark" class="title">win7如何加快开机速度</a>
					<div>
						win7如何加快开机速度,win7加速有什么技巧吗? 使用Windows 7的朋友想必硬件配置都相当不错,大家都知道,硬件越好,开机速度就越快,而且Windows 7系统本身已经相当优秀,基本上不需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Nw90z.html" rel="bookmark" class="title">期末考结束需要做奖状？WPS助各位教师一臂之力</a>
					<div>
						期末考结束需要做奖状?WPS助各位教师一臂之力 天气越来越热,各个学校的老师同学们也已经开始进行暑假了,小编认识的几位教师朋友却没闲着,学生们考试结束了,成绩统计也出来了,该到了奖励莘莘学子们的时候了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8PQZp.html" rel="bookmark" class="title">Word2010如何自定义页眉</a>
					<div>
						  有时候需要再页眉上加入自己需要的东西,但是这个页眉要怎么修改呢,事实上很简单,只要几步就能搞定了.通过在Word2010库中添加自定义内容,可以提高用户的工作效率.当用户不再需要自定义的内容时可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmG35z.html" rel="bookmark" class="title">把一键还原安装到系统启动项</a>
					<div>
						程序可以安装到系统启动项,以便在进入系统前进行备份还原. 可以使用&quot;操作系统选择菜单&quot;和&quot;热键启动&quot;两种方式安装,热键启动功能则支持自定义热键(F7-F12), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd676M.html" rel="bookmark" class="title">如何使用360免费WiFi？</a>
					<div>
						  打开「360免费WiFi」会自动搜索附近的WiFi资源,点击&quot;免费WiFi&quot;列表中的热点即可免密码接入; 若附近存在CMCC.ChinaUnicom.ChinaNet等运营商W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmJLnz.html" rel="bookmark" class="title">保存BIOS设置</a>
					<div>
						  在BIOS中,设置完毕后,可以选择Save &amp; Exit Setup或者Exit Without Saving选项,退出BIOS设置. 1.Save &amp; Exit Setup(保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6y8qM.html" rel="bookmark" class="title">主题-使用slidingmenu无法设置透明状态栏</a>
					<div>
						问题描述 使用slidingmenu无法设置透明状态栏 具体问题是这样,我需要做一个如下图仿QQ的样式:主题-使用slidingmenu无法设置透明状态栏-slidingmenu 透明背景&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamDEmb.html" rel="bookmark" class="title">解开发者之痛：中国移动MySQL数据库优化最佳实践</a>
					<div>
						 章颖数据研发工程师 现任中国移动杭州研发中心数据研发工程师,擅长MySQL故障诊断,性能调优,MySQL高可用技术,曾任中国电信综合平台开发运营中心DBA   开源数据库MySQL比较容易碰到性能瓶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NaZPM.html" rel="bookmark" class="title">百度地图JavaScript开发入门教程</a>
					<div>
						        自从openGPS.cn小编在2011年的一个WEB项目中用到了百度地图做售楼数量分布显示功能之后,就一发不可收拾,在位置服务的领域一路走了5年之久.今天难得时间充裕,给WEB开发者分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrQYQM.html" rel="bookmark" class="title">中国版盖茨基金惹争议</a>
					<div>
						&quot;福建首富&quot;陈发树捐赠83亿元有价证券建立国内目前最大民间慈善基金这个样本,引起了民政部高度关注.民政部.证监会等有关部门正拟调研股票捐赠办法. 本刊记者 潘欣怡 &quot;外界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAkr2M.html" rel="bookmark" class="title">Win7安装VirtualBox提示&OpenCurlyDoubleQuote;Installation failed&excl;Error&colon;系统&period;&period;&period;</a>
					<div>
						Win7安装VirtualBox提示&quot;Installation failed!Error:系统找不到指定的路径&quot;      原因:用中文用户名登陆的Win7,或者指定的安装目录中包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N8mYM.html" rel="bookmark" class="title">设计模式：代理模式（Proxy）</a>
					<div>
						 代理模式:为其他对象提供一种代理以控制对这个对象的访问. 代理模式中的角色: 抽象主题角色(Subject):声明了目标对象和代理对象的共同接口,这样一来在任何可以使用目标对象的地方都可以使用代理对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ1Yop.html" rel="bookmark" class="title">PHOTOSHOP技巧167条&lowbar;photoshop</a>
					<div>
						工具面板技巧 1. 快速打开文件  双击Photoshop的背景空白处(默认为灰色显示区域)即可打开选择文件的浏览窗口.  2. 随意更换画布颜色  选择油漆桶工具并按住Shift点击画布边缘,即可设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeZ5ZM.html" rel="bookmark" class="title">一年做站经验：如何让百度更好地收录网站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 自从去年上半年的时候就开始慢慢的做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZe8lp.html" rel="bookmark" class="title">产品经理和技术的关系如何</a>
					<div>
						前言 有同学通过我博客的微信公众账号GauinBlog聊到&quot;产品经理和技术之间的关系是咋样的&quot;话题,最近有空特此博文谈下我对这个话题的看法. 产品经理和技术的关系 问题 产品经理和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqrV6b.html" rel="bookmark" class="title">性能测试应该怎样测？</a>
					<div>
						事情的起因是这样的: 上周三下午要出去打个电话,经过小会议室门口的时候测试负责人叫住我问有事吗?小A做的性能测试出现了点问,要我帮忙分析一下.打完电话后到小会议室与小A.测试负责人一起看小A的性能测试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnJwxp.html" rel="bookmark" class="title">PHP人民币金额数字转中文大写的函数代码&lowbar;php技巧</a>
					<div>
						在网上看到一个非常有趣的PHP人民币金额数字转中文大写的函数,其实质就是数字转换成中文大写,测试了一下,非常有趣,随便输个数字,就可以将其大写打印出来,新手朋友们试一下吧,举一反三,还可以写好多有趣的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0mrdz.html" rel="bookmark" class="title">阿里云云盾抗下全球最大DDoS攻击&lpar;5亿次请求，95万QPS HTTPS CC攻击&rpar;</a>
					<div>
						报告披露,去年11月,阿里云安全团队成功防御了黑客对阿里云平台上某互联网金融用户发起的超大规模HTTPS/SSL CC流量攻击,此次攻击也是迄今为止全球有统计数据最大的HTTPS SSL/CC攻击.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLj96M.html" rel="bookmark" class="title">java实现根据ip地址获取地理位置&lowbar;java</a>
					<div>
						最近项目某个功能需要根据ip地址从第三方接口获取详细的地理位置,从网上找了很多例子,主要接口有新浪的,淘宝的,腾讯的.试了淘宝的,如果是数量级小的还可以,如果数量级达到上十万级就速度慢了,会导致系统崩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmNmqp.html" rel="bookmark" class="title">mysql mysqlbinlog-关于mysqlbinlog的提示错误</a>
					<div>
						问题描述 关于mysqlbinlog的提示错误 在使用mysqlbinlog查看mysql二进制文件时一直提示file ' ' not found , 哪位碰到过类似的问题,给指点一下怎么解决.谢谢  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo8x6M.html" rel="bookmark" class="title">阿里巴巴下一个十年</a>
					<div>
						撰文/许凤婷 9月10日,杭州,如果能把这天晚上阿里巴巴人的激情转化成能量,恐怕能把整个西湖的水煮沸. 从傍晚5点开始,数百辆大巴.小轿车陆续开进杭州黄龙体育馆.27000名阿里巴巴集团的客户.员工. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWd49Ap.html" rel="bookmark" class="title">腾讯公司的创始人之一首席行政官陈一丹致辞</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 8月28日下午,&quot;2007安全中国--计算机恶意程序治理法律环境高层研讨会&quot;在北京召开.来自国务院信息化办公室.信产部.公安部.国家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWQk9z.html" rel="bookmark" class="title">【编程练习】正整数分解为几个连续自然数之和</a>
					<div>
						题目:输入一个正整数,若该数能用几个连续正整数之和表示,则输出所有可能的正整数序列. 一个正整数有可能可以被表示为n(n&gt;=2)个连续正整数之和,如: 15=1+2+3+4+5 15=4+5+6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeQNqp.html" rel="bookmark" class="title">广钢股份重组方案敲定今日逆市上涨2&period;31&percnt;</a>
					<div>
						网易财经1月10日讯 广钢股份今日公布了&lt;重大资产置换及向特定对象发行股份购买资产暨关联交易预案&gt;.预案显示,广钢股份重组方案由重大资产置换.发行股份购买资产.股份转让三部分构成,采用的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYB0RQp.html" rel="bookmark" class="title">晨报名酒坊人气旺 团购活动持续进行中</a>
					<div>
						葡萄酒讯&gt; http://www.aliyun.com/zixun/aggregation/38657.html&quot;&gt;重庆晨报名酒坊团购节自开团以来,团购气氛不断升温,每天都有大量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z75XgqM.html" rel="bookmark" class="title">凡客被逼提交上市申请 拉手网被逼着暂停IPO</a>
					<div>
						用&quot;有人连夜赴考,有人辞官云游&quot;来形容如今中国IPO的状况可谓是最形象不过了. 近日,据http://www.aliyun.com/zixun/aggregation/18501. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
